Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 173076 - libsilc-1.0 doesn't work with gaim
Summary: libsilc-1.0 doesn't work with gaim
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-13 18:28 UTC by Warren Togami
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-05 23:02:59 UTC


Attachments (Terms of Use)
Patch to current CVS to update SILC to 1.0.2 (deleted)
2005-12-22 16:09 UTC, Stu Tomlinson
no flags Details | Diff

Description Warren Togami 2005-11-13 18:28:21 UTC
Attempting to upgrade libsilc in FC5 to 1.0...

checking whether GLib is unpacked to irssi dir... no
checking for glib-config... no
checking for GLIB - version >= 1.2.0... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
*** trying without -lgmodule
checking for glib-config... (cached) no
checking for GLIB - version >= 1.2.0... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
checking for glib-config... (cached) no
checking for GLIB - version >= 2.0.0... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.
*** trying without -lgmodule
checking for glib-config... (cached) no
checking for GLIB - version >= 2.0.0... no
*** The glib-config script installed by GLIB could not be found
*** If GLIB was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GLIB_CONFIG environment variable to the
*** full path to glib-config.

*** If you don't have GLIB, you can get it from ftp://ftp.gtk.org
*** If you can't install GLIB anywhere or if you don't want to,
*** you can just unpack it to Irssi's source directory and
*** Irssi will automatically compile and use it.

*** I can download GLib for you now. If you don't want to, press CTRL-C now.

Comment 1 Toni Willberg 2005-11-13 18:44:11 UTC
libsilc shouldn't require glib.. only if you build irssi with the toolkit -
which is disabled by default in my package...

Did you alter the configure flags?


Comment 2 Stu Tomlinson 2005-11-13 18:51:42 UTC
It looks like the silc toolkit 1.0 configure scripts are pretty seriously
broken, using '--without-irssi' is causing it to try to build irssi. Same for
'--without-silcd' - remove both those arguments to ./configure and it should
work better (they do at least default to not being included in the build)

Comment 3 Toni Willberg 2005-11-13 21:40:14 UTC
hey.. now that I read you message again.. 

You were trying to upgrade from 0.x to 1.x? Don't, they are not compatible
as-is. The clients which work with 0.x won't work with 1.x out-of-box.


Comment 4 Warren Togami 2005-11-13 21:46:12 UTC
http://people.redhat.com/wtogami/temp/libsilc-1.0-1.src.rpm
gaim built against libsilc-1.0 can't seem to connect to anything.  For now I'm
not upgrading FC5.


Comment 5 Stu Tomlinson 2005-12-20 22:10:50 UTC
This works fine when built on FC4. Can you provide more details of how it
"doesn't work"? a debug log might help.

Comment 6 Warren Togami 2005-12-20 22:23:34 UTC
I no longer care about SILC.  In all this time we've had it in Fedora, not a
single person has filed a bug about its brokenness.  I am considering removing
it from Core because it seems very unpopular and it is a maintenance burden.


Comment 7 Stu Tomlinson 2005-12-20 22:25:38 UTC
In all this time we've had SILC in Fedora I have been using it daily, and have
not hit a single problem.
How the HELL can having zero bug reports be a maintenance burden?

Comment 8 Warren Togami 2005-12-20 23:00:44 UTC
Ok... the entire week I tried to get SILC to work in order to talk to Sean
securely maybe 2 months ago it didn't work, but somehow now it works.

If you have a new libsilc SRPM to import into FC5, please post its URL and I'll
test it.  I am considering importing gaim-2 beta, but that is a separate matter.

Comment 9 Toni Willberg 2005-12-22 07:39:57 UTC
Why do you want to upgrade libsilc? The current one has no bugs and it's stable. 

And about removing; there are packages in Extras that depend on libsilc, namely
Silky. Also GAIM depends on libsilc package.


Comment 10 Warren Togami 2005-12-22 13:26:16 UTC
Stable, except for when it crashes often during login (especially if you click
cancel), and often you are unable to chat with other users when logged in?

We are no longer considering this to move to Extras.  I do wish it were less
buggy though.


Comment 11 Toni Willberg 2005-12-22 14:13:54 UTC
What crashes? libsilc doesn't have UI, you can't click anything. It's a library.

I guess you are talking about GAIM crashing, right?


Comment 12 Stu Tomlinson 2005-12-22 16:09:48 UTC
Created attachment 122529 [details]
Patch to current CVS to update SILC to 1.0.2

Warren, please stop claiming either SILC or Gaim is buggy until you provide
some evidence to support this. You've already said yourself that there have
been no bugs reported by users.

Upgrading libsilc will allow Gaim 2 to support IM images and possibly buddy
icons on SILC.

Comment 13 Warren Togami 2005-12-22 18:35:24 UTC
I will not stop claiming what I know to be true frome experience.

Is SILC 1.0.2 operative with gaim-1.5.0 currently in rawhide?

Comment 14 Warren Togami 2006-06-29 18:41:55 UTC
rawhide now has gaim 2.0.0 beta 3 and libsilc-1.0.2.

SILC fails to connect when your account's realname in /etc/passwd is blank.

account: Connecting to account warren@silcnet.org
connection: Connecting. gc = 0xa11a900
[Wed Jun 28 14:05:19 2006] [Error] Malformed realname ''
account: Disconnecting account 0x9cc44f8
connection: Disconnecting connection 0xa11a900
g_log: silcgaim_close: assertion `sg != NULL' failed
connection: Destroying connection 0xa11a900

Two bugs here:
1) There is no good reason for libsilc to reject a blank realname.  It worked
fine in previous versions of SILC.  Blank realname is far too common.
2) Gaim could be more informative in its error message.

Comment 15 Warren Togami 2006-06-29 18:47:15 UTC
http://lists.silcnet.org/pipermail/silc-devel/2005-September/001707.html
http://lists.silcnet.org/pipermail/silc-devel/2005-September/001698.html

The easiest solution is just for gaim to replace '' with 'Gaim User' before it
is send to the SILC server.

Comment 16 Toni Willberg 2006-06-30 07:29:30 UTC
This is a bug in GAIM, it shouldn't pass empty string as libsilc requires
username as parameter.

I suggest moving this bug to GAIM.


Comment 17 Stu Tomlinson 2006-07-01 15:28:03 UTC
From http://lists.silcnet.org/pipermail/silc-devel/2005-September/001707.html :

> Yes, realname is optional and could be empty (it shouldn't be sent to 
> server in that case at all in the New Client Payload).

My reading of that is that it is a libsilc bug. However, here is a patch to work
around it in Gaim anyway:
http://svn.sourceforge.net/viewcvs.cgi/gaim/branches/v2_0_0/src/protocols/silc/silc.c?r1=16385&r2=16384&view=patch&pathrev=16385

Comment 18 Warren Togami 2006-07-05 23:02:59 UTC
done, thanks.


Note You need to log in before you can comment on or make changes to this bug.